見積もりが大きすぎます

Moses Skodaエンジニア読了目安 1分

この問題が発生すると、APIは422 Unprocessable Contentを返します。そのtypeはhttps://lingo.dev/docs/api/errors/estimate-too-largeです。すべてのエラーに共通する形式については、エラーとステータスコードをご覧ください。

1回の見積もりで処理できる入力は最大2バイトです。リクエストを分割し、より小さな単位で見積もりを行ってください。

フィールド#

レスポンス本文には、標準のtype、status、title、detailの各メンバーに加え、次のフィールドが含まれます。detailのテキストはこれらのフィールドから生成されるため、クライアント側で独自のテキストに置き換えて表示できます。

フィールド型
limitinteger
measure"bytes"

例#

json
{
  "detail": "An estimate supports at most 2 bytes of input. Split the request into smaller estimates.",
  "limit": 2,
  "measure": "bytes",
  "type": "https://lingo.dev/docs/api/errors/estimate-too-large",
  "status": 422,
  "title": "Estimate too large"
}

このエラーを返すエンドポイント#

  • POST /v2/organizations/{orgId}/localization/estimates